## LassoDstQueryResponse LassoDstQueryResponse — <dst:QueryResponse> |

## Functions

LassoDstQueryResponse * | lasso_dst_query_response_new ()

## Types and Values

struct | LassoDstQueryResponse

## Description

Figure 123. Schema fragment for dst:QueryResponse

    <xs:element name="QueryResponse" type="QueryResponseType"/>
    <xs:complexType name="QueryResponseType">
      <xs:sequence>
        <xs:element ref="Status"/>
        <xs:element name="Data" minOccurs="0" maxOccurs="unbounded"/>
        <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID"/>
      <xs:attribute name="itemIDRef" type="IDReferenceType"/>
      <xs:attribute name="timeStamp" type="xs:dateTime"/>
    </xs:complexType>

    Schema fragment (liberty-idwsf-utility-1.0-errata-v1.0.xsd):

    <xs:simpleType name="IDReferenceType">
      <xs:annotation>
        <xs:documentation> This type can be used when referring to elements that are
          identified using an IDType </xs:documentation>
        </xs:annotation>
      <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_dst_query_response_new ()

    LassoDstQueryResponse *
    lasso_dst_query_response_new (LassoUtilityStatus *status);

## Types and Values

### struct LassoDstQueryResponse

    struct LassoDstQueryResponse {
    	LassoNode parent;

    	LassoUtilityStatus *Status;
    	GList *Data; /* of LassoNode */
    	GList *Extension; /* of xmlNode* */

    	char *id;
    	char *itemIDRef;
    	char *timeStamp;
    };